<!DOCTYPE html>
<html lang="ru">
<head>
    <!--<meta http-equiv="refresh" content="10"/>-->
    <meta charset="UTF-8">
    <link rel="stylesheet" href="css/bootstrap.min.css"
          integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <link rel="stylesheet" href="css/custom.css"/>
    <script src="js/jquery-3.1.1.min.js"></script>
    <script src="js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
    <script src="js/main.js"></script>
    <title>Состояние сервисов КС</title>
</head>
<body>
<p/>
<div class="container">
    <div class="row">
        <div class="panel panel-primary">
            <div class="panel-heading">Состояние сервисов КС</div>
            <table class="table">
                <tbody>
                % for service in state['services']:
                <tr>
                    <th>{{service.get('name','')}}</th>
                    <th id="{{service['id']}}_state"><i class="glyphicon glyphicon-remove" style="color:red"></i> неизвестно</th>
                    <th>
                        <div class="row">
                            <a target="_blank" href="/v1/logs/{{service['id']}}" class="btn btn-default col-lg-5">
                                {{service.get('logFileText') if service.get('logFileText') else 'лог работы'}}</a>
                            % if service.get('goButtonLink'):
                            <a target="_blank" href="{{service.get('goButtonLink')}}" class="btn btn-info col-lg-5">
                                {{service.get('goButtonText') if service.get('goButtonText') else 'перейти'}}
                            </a>
                            % end
                        </div>
                    </th>
                </tr>
                % end
                </tbody>
            </table>
        </div>
    </div>
    <div class="row">
        <p>Документация по КС доступна по следующему адресу: <a target="_blank" href="http://docs.artix.su/x/Jx6_/">http://docs.artix.su/x/Jx6_/</a></p>
    </div>
</div>

<script lang="javascript">updateStateInRound()</script>

</body>
</html>